using System;
using System.Collections.Generic;

namespace _4
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split();
            int n = int.Parse(input[0]), m = int.Parse(input[1]);
            List<int[]> v = new List<int[]>();
            List<int> results = new List<int>();
            for(int i = 0; i < n; i++)
            {
                int[] x = new int[2];
                input = Console.ReadLine().Split();
                x[0] = int.Parse(input[0]);
                x[1] = int.Parse(input[1]);
                v.Add(x);
            }
            for(int i = 0; i < m; i++)
            {
                input = Console.ReadLine().Split();
                int l = int.Parse(input[0]) - 1, r = int.Parse(input[1]) - 1, x = int.Parse(input[2]) - 1, p = 0;
                for(int j = l; j <= r; j++)
                {
                    if (v[j][0] <= x && v[j][1] >= x)
                        p++;
                }
                results.Add(p);
            }
            foreach (int g in results)
                Console.WriteLine(g);
        }
    }
}